Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
05540 Graphics Minor Random Apr 20, 2014, 12:44 15 days ago
Tester CT92 View Status Public Platform MAME (Official Binary)
Assigned To Resolution Open OS
Status [?] Confirmed Driver namcos12.cpp
Version 0.153 Fixed in Version Build
Summary 05540: soulclbr and clones: [possible] Yoshimitsu station 2 bug entry.
Description It happens when you play with the location of the second player, or when it gets against the CPU, the entry of the character Yoshimitsu, is buggy.
Steps To Reproduce This bug is present in all versions of the game.
Additional Information
Flags Possible
Regression Version
Affected Sets / Systems soulclbr and clones
Attached Files
png file icon 0008.png (74,116 bytes) Apr 20, 2014, 12:47 Uploaded by CT92
CT92
png file icon 0009.png (59,524 bytes) Apr 20, 2014, 12:48 Uploaded by CT92
CT92
png file icon 0010.png (54,814 bytes) Apr 20, 2014, 12:48 Uploaded by CT92
CT92
png file icon 0011.png (82,077 bytes) Apr 20, 2014, 12:48 Uploaded by CT92
CT92
Relationships
There are no relationship linked to this issue.
Notes
11
User avatar
No.10610
Tafoid
Administrator
Apr 21, 2014, 23:43
I attempted to duplicate this, trying several times with all characters unlocked, choosing player 2 and selecting Yoshimitsu - each time I started in both 32-bit and 64-bit I did not see any unexpected corruption. I'm not very used to this game so I don't know if there is a special entrance that character might do that might show what you are detailing in your screenshots.
User avatar
No.10612
CT92
Tester
Apr 22, 2014, 11:27
edited on: Apr 22, 2014, 11:30
It 's impossible. I also tried both 32 and 64 bit, and it gives me the same bug, in this first entry of the character. It is a special entry this is the first entry of the character, I did all the tests.
User avatar
No.10613
Haze
Senior Tester
Apr 22, 2014, 12:02
I'm also unable to reproduce using an unlocked NVRAM and choosing the characters and stage shown.
User avatar
No.10614
CT92
Tester
Apr 22, 2014, 12:58
The bug then, will be the choir?
User avatar
No.10617
Tafoid
Administrator
Apr 22, 2014, 19:42
I took another look - there is an entrance where he is spinning into the arena sitting 'indian-style' and when he hits the ground and spins a force builds up and he 'explodes' then disappears. If you skip by frame (shift+p), you can see a few frames where there are stray lines like described before he reforms in the ring before the fight.

Despite this, I'm not convinced this doesn't happen on a real machine. I'll confirm as possible (pending pcb confirmation).
User avatar
No.10623
CT92
Tester
Apr 24, 2014, 04:41
On the real machine (PCBs), this bug is not present. The motherboard real game, not bugs.
User avatar
No.11145
CT92
Tester
Oct 22, 2014, 05:47
The problem (bug), still has not been resolved ??
User avatar
No.15699
MetalGod
Tester
17 days ago
edited on: 17 days ago
Real arcade hardware.
The described animation can be seen in 1:24 with no bugs.



The animation only bugs when Yoshimitsu is played by the second player. It can be versus cpu or 1p vs 2p, but it will only happen on the second player side.
You can see the bug here:

When playing as Player1 the issue never ocurrs. I still don't know if it's a mame bug or also real hardware bug
User avatar
No.15702
kirishima
Tester
17 days ago
edited on: 17 days ago
@MetalGod

I hope nobody minds if I say something but there's a problem with your post. The issue only happens on player 2's side, yet that video only shows player 1's, so it doesn't really prove it doesn't happen. Also the game already has the imperfect graphics flag for a whole lotta other issues....
User avatar
No.15704
MetalGod
Tester
17 days ago
edited on: 17 days ago
There were no video about the animation in this ticket, so I just wanted to show it.
*Edited my previous post:
The true thing is that I still haven't proved it doesn't happened on the arcade pcb. I haven't found any video of Yoshimitsu performing that animation as player 2 on the real hardware.
User avatar
No.15705
MetalGod
Tester
17 days ago
edited on: 17 days ago
I've just found it !
I can confirmed the bug is not present in the arcade pcb. Skip to 1:51